package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag198;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT198Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT198Creator mt198Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt198Creator= (MT198Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt198Creator.getTransactionReferenceNumber();
        mt198Creator.set("20", tag20Value);
    }
}
